org.apache.fontbox.cff

## Class CFFExpertEncoding

- java.lang.Object
- - org.apache.fontbox.encoding.Encoding
  - - org.apache.fontbox.cff.CFFEncoding
    - - org.apache.fontbox.cff.CFFExpertEncoding

    public final class CFFExpertEncoding
    extends CFFEncoding

This is specialized CFFEncoding. It's used if the EncodingId of a font is set to 1.

Author:
  Villu Ruusmann

### Method Summary

All Methods Static Methods Concrete Methods
`static CFFExpertEncoding` `getInstance()` Returns an instance of the CFFExportEncoding class.

### Methods inherited from class org.apache.fontbox.cff.CFFEncoding

`add, add`

### Methods inherited from class org.apache.fontbox.encoding.Encoding

`addCharacterEncoding, getCode, getCodeToNameMap, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CFFExpertEncoding getInstance()

Returns an instance of the CFFExportEncoding class.

Returns:
  an instance of CFFExportEncoding